PODOFOENCRYPT(1)

NAME
podofoencrypt - encrypt PDF files and set PDF security settings

SYNOPSIS
podofoencrypt [--rc4v1] [--rc4v2] [--aes] [-u <userpassword>] -o <ownerpassword> <inputfile> <outputfile>

DESCRIPTION
podofoencrypt is one of the command line tools from the PoDoFo library that provide several useful operations to work with PDF files. It can encrypt PDF files using RC4 or AES encoding and can set PDF security settings.

OPTIONS
--help
    Display the help text

Algorithm:

    --rc4v1
        Use rc4v1 encryption

    --rc4v2
        Use rc4v2 encryption (Default value)

    --aes
        Use aes encryption (currently not supported)

Passwords:

    -u <password>
        An optional user password

    -o <password>
        The required owner password

Permissions:

    --print

        Allow printing the document

    --edit

        Allow modification of the document besides annotations, form fields or changing pages

    --copy

        Allow extraction of text and graphics

    --editnotes

        Add or modify text annoations or form fields (if ePdfPermissions_Edit is set also allow to create interactive form fields including signature)

    --fillandsign

        Fill in existing form or signature fields

    --accessible

        Extract text and graphics to support user with disabillities

    --assemble

        Assemble the document: insert, create, rotate delete pages or add bookmarks

    --highprint

        Print a high resolution version of the document

SEE ALSO
podofobox(1), podofocountpages(1), podofocrop(1), podofogc(1), podofoimg2pdf(1), podofoimgextract(1), podofoincrementalupdates(1), podofoimpose(1), podofomerge(1), podofopages(1), podofopdfinfo(1), podofotxt2pdf(1), podofotxtextract(1), podofouncompress(1), podofoxmp(1)

AUTHORS

PoDoFo is written by Dominik Seichter <domseichter@web.de> and others.

This manual page was written by Oleksandr Moskalenko <malex@debian.org> for the Debian Project (but may be used by others).